Abstract
--------


Parser
*******

.. autofunction:: lief.parse

----------

Binary
******

.. autoclass:: lief.Binary
  :members:
  :inherited-members:
  :undoc-members:

----------

Header
******

.. autoclass:: lief.Header
  :members:
  :inherited-members:
  :undoc-members:

----------


Section
*******

.. autoclass:: lief.Section
  :members:
  :inherited-members:
  :undoc-members:

----------

Symbol
******

.. autoclass:: lief.Symbol
  :members:
  :inherited-members:
  :undoc-members:


----------

Relocation
**********

.. autoclass:: lief.Relocation
  :members:
  :inherited-members:
  :undoc-members:


----------

Function
********

.. autoclass:: lief.Function
  :members:
  :inherited-members:
  :undoc-members:



Enums
*****


Executable formats
~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.EXE_FORMATS
  :members:
  :inherited-members:
  :undoc-members:

----------


Object types
~~~~~~~~~~~~

.. autoclass:: lief.OBJECT_TYPES
  :members:
  :inherited-members:
  :undoc-members:

----------


Architectures
~~~~~~~~~~~~~

.. autoclass:: lief.ARCHITECTURES
  :members:
  :inherited-members:
  :undoc-members:

----------

Modes
~~~~~

.. autoclass:: lief.MODES
  :members:
  :inherited-members:
  :undoc-members:

----------

Endianness
~~~~~~~~~~

.. autoclass:: lief.ENDIANNESS
  :members:
  :inherited-members:
  :undoc-members:




